Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 7
Number of dependencies (NOD): 112
Number of unique artifacts (NOA): 128
Number of version-conflicting artifacts (NOC): 13
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 87 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

com.fasterxml.jackson.core:jackson-core

[Error]
2.6.7
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- com.amazonaws:aws-xray-recorder-sdk-core:jar:2.9.0:compile
          \- com.amazonaws:aws-java-sdk-xray:jar:1.11.903:compile
             \- com.amazonaws:aws-java-sdk-core:jar:1.11.903:compile
                \- com.fasterxml.jackson.dataformat:jackson-dataformat-cbor:jar:2.6.7:compile
                   \- (com.fasterxml.jackson.core:jackson-core:jar:2.6.7:compile - omitted for duplicate)

2.9.7
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- software.amazon.awssdk:aws-core:jar:2.2.0:compile
          +- software.amazon.awssdk:regions:jar:2.2.0:compile
          |  \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.7:compile
          |     \- (com.fasterxml.jackson.core:jackson-core:jar:2.9.7:compile - omitted for duplicate)
          \- software.amazon.awssdk:sdk-core:jar:2.2.0:compile
             \- com.fasterxml.jackson.core:jackson-core:jar:2.9.7:compile

com.fasterxml.jackson.core:jackson-databind

[Error]
2.6.7.4
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- com.amazonaws:aws-xray-recorder-sdk-core:jar:2.9.0:compile
          \- com.amazonaws:aws-java-sdk-xray:jar:1.11.903:compile
             +- com.amazonaws:aws-java-sdk-core:jar:1.11.903:compile
             |  \- (com.fasterxml.jackson.core:jackson-databind:jar:2.6.7.4:compile - omitted for conflict with 2.9.7)
             \- com.amazonaws:jmespath-java:jar:1.11.903:compile
                \- (com.fasterxml.jackson.core:jackson-databind:jar:2.6.7.4:compile - omitted for duplicate)

2.9.7
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- software.amazon.awssdk:aws-core:jar:2.2.0:compile
          +- software.amazon.awssdk:regions:jar:2.2.0:compile
          |  \- com.fasterxml.jackson.core:jackson-databind:jar:2.9.7:compile
          +- software.amazon.awssdk:auth:jar:2.2.0:compile
          |  \- (com.fasterxml.jackson.core:jackson-databind:jar:2.9.7:compile - omitted for duplicate)
          \- software.amazon.awssdk:sdk-core:jar:2.2.0:compile
             \- (com.fasterxml.jackson.core:jackson-databind:jar:2.9.7:compile - omitted for duplicate)

commons-logging:commons-logging

[Error]
1.1.3
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- com.amazonaws:aws-xray-recorder-sdk-core:jar:2.9.0:compile
          \- com.amazonaws:aws-java-sdk-xray:jar:1.11.903:compile
             \- com.amazonaws:aws-java-sdk-core:jar:1.11.903:compile
                \- commons-logging:commons-logging:jar:1.1.3:compile

1.2
  1. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- com.amazonaws:aws-xray-recorder-sdk-aws-sdk-v2:jar:2.9.0:compile
       \- com.amazonaws:aws-xray-recorder-sdk-core:jar:2.9.0:compile
          \- com.amazonaws:aws-java-sdk-xray:jar:1.11.903:compile
             \- com.amazonaws:aws-java-sdk-core:jar:1.11.903:compile
                \- org.apache.httpcomponents:httpclient:jar:4.5.13:compile
                   \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

junit:junit

[Error]
4.13
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (junit:junit:jar:4.13:test - omitted for conflict with 4.13.2)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (junit:junit:jar:4.13:test - omitted for conflict with 4.13.2)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (junit:junit:jar:4.13:test - omitted for conflict with 4.13.2)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (junit:junit:jar:4.13:test - omitted for conflict with 4.13.2)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (junit:junit:jar:4.13:test - omitted for conflict with 4.13.2)

4.13.2
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- junit:junit:jar:4.13.2:test

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- junit:junit:jar:4.13.2:test

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- junit:junit:jar:4.13.2:test

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- junit:junit:jar:4.13.2:test

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- junit:junit:jar:4.13.2:test

org.apache.maven:maven-artifact

[Error]
3.0
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.1:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.8.4)

3.8.4
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- org.apache.maven:maven-core:jar:3.8.4:compile
    |  +- org.apache.maven:maven-artifact:jar:3.8.4:compile
    |  \- org.apache.maven:maven-model-builder:jar:3.8.4:compile
    |     \- (org.apache.maven:maven-artifact:jar:3.8.4:compile - omitted for duplicate)
    \- org.apache.maven:maven-plugin-api:jar:3.8.4:compile
       \- (org.apache.maven:maven-artifact:jar:3.8.4:compile - omitted for duplicate)

org.apiguardian:apiguardian-api

[Error]
1.1.0
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  \- io.cucumber:cucumber-core:jar:6.11.0:test
    |     +- io.cucumber:cucumber-expressions:jar:10.3.0:test
    |     |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |     \- io.cucumber:datatable:jar:3.5.0:test
    |        \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-api:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-commons:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-engine:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  \- io.cucumber:cucumber-core:jar:6.11.0:test
    |     +- io.cucumber:cucumber-expressions:jar:10.3.0:test
    |     |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |     \- io.cucumber:datatable:jar:3.5.0:test
    |        \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-api:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-commons:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-engine:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  \- io.cucumber:cucumber-core:jar:6.11.0:test
    |     +- io.cucumber:cucumber-expressions:jar:10.3.0:test
    |     |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |     \- io.cucumber:datatable:jar:3.5.0:test
    |        \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-api:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-commons:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-engine:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  \- io.cucumber:cucumber-core:jar:6.11.0:test
    |     +- io.cucumber:cucumber-expressions:jar:10.3.0:test
    |     |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |     \- io.cucumber:datatable:jar:3.5.0:test
    |        \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-api:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-commons:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-engine:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  \- io.cucumber:cucumber-core:jar:6.11.0:test
    |     +- io.cucumber:cucumber-expressions:jar:10.3.0:test
    |     |  \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |     \- io.cucumber:datatable:jar:3.5.0:test
    |        \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for duplicate)
    +- org.junit.jupiter:junit-jupiter-api:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-commons:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    +- org.junit.jupiter:junit-jupiter-engine:jar:5.7.2:test
    |  +- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    |  \- org.junit.platform:junit-platform-engine:jar:1.7.2:test
    |     \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)
    \- org.junit.vintage:junit-vintage-engine:jar:5.7.2:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.0:test - omitted for conflict with 1.1.2)

1.1.2
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  +- io.cucumber:cucumber-core:jar:6.11.0:test
    |  |  +- io.cucumber:cucumber-plugin:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  +- io.cucumber:docstring:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)
    |  \- org.apiguardian:apiguardian-api:jar:1.1.2:test
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  +- io.cucumber:cucumber-core:jar:6.11.0:test
    |  |  +- io.cucumber:cucumber-plugin:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  +- io.cucumber:docstring:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)
    |  \- org.apiguardian:apiguardian-api:jar:1.1.2:test
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  +- io.cucumber:cucumber-core:jar:6.11.0:test
    |  |  +- io.cucumber:cucumber-plugin:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  +- io.cucumber:docstring:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)
    |  \- org.apiguardian:apiguardian-api:jar:1.1.2:test
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  +- io.cucumber:cucumber-core:jar:6.11.0:test
    |  |  +- io.cucumber:cucumber-plugin:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  +- io.cucumber:docstring:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)
    |  \- org.apiguardian:apiguardian-api:jar:1.1.2:test
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    +- io.cucumber:cucumber-java8:jar:6.11.0:test
    |  +- io.cucumber:cucumber-core:jar:6.11.0:test
    |  |  +- io.cucumber:cucumber-plugin:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  +- io.cucumber:docstring:jar:6.11.0:test
    |  |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for conflict with 1.1.0)
    |  |  \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)
    |  \- org.apiguardian:apiguardian-api:jar:1.1.2:test
    \- io.cucumber:cucumber-junit:jar:6.11.0:test
       \- (org.apiguardian:apiguardian-api:jar:1.1.2:test - omitted for duplicate)

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.2
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.5:compile
          \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

2.6.0
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- org.apache.maven:maven-core:jar:3.8.4:compile
    |  \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile
    \- org.apache.maven:maven-plugin-api:jar:3.8.4:compile
       \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.5:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

2.1.0
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

org.codehaus.plexus:plexus-utils

[Error]
3.0.24
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.5:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.3.0)

3.3.0
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- org.apache.maven:maven-core:jar:3.8.4:compile
    |  +- org.apache.maven:maven-settings:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-artifact:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-resolver-provider:jar:3.8.4:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    +- org.apache.maven:maven-model:jar:3.8.4:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)
    \- org.apache.maven:maven-plugin-api:jar:3.8.4:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.3.0:compile - omitted for duplicate)

3.4.1
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.apache.maven:maven-settings-builder:jar:3.8.4:compile
          \- org.codehaus.plexus:plexus-sec-dispatcher:jar:2.0:compile
             \- (org.codehaus.plexus:plexus-utils:jar:3.4.1:compile - omitted for conflict with 3.3.0)

org.jetbrains.kotlin:kotlin-reflect

[Error]
1.3.72
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       \- (org.jetbrains.kotlin:kotlin-reflect:jar:1.3.72:test - omitted for conflict with 1.6.10)

1.6.10
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile

org.jetbrains.kotlin:kotlin-stdlib

[Error]
1.3.72
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-common:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  +- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |     +- io.mockk:mockk-agent-api:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     +- io.mockk:mockk-agent-common:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       +- io.mockk:mockk-dsl:jar:1.12.2:test
       |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-common:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  +- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |     +- io.mockk:mockk-agent-api:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     +- io.mockk:mockk-agent-common:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       +- io.mockk:mockk-dsl:jar:1.12.2:test
       |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-common:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  +- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |     +- io.mockk:mockk-agent-api:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     +- io.mockk:mockk-agent-common:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       +- io.mockk:mockk-dsl:jar:1.12.2:test
       |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-common:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  +- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |     +- io.mockk:mockk-agent-api:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     +- io.mockk:mockk-agent-common:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       +- io.mockk:mockk-dsl:jar:1.12.2:test
       |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    +- io.mockk:mockk:jar:1.12.2:test
    |  +- io.mockk:mockk-common:jar:1.12.2:test
    |  |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  +- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |  \- io.mockk:mockk-agent-jvm:jar:1.12.2:test
    |     +- io.mockk:mockk-agent-api:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     +- io.mockk:mockk-agent-common:jar:1.12.2:test
    |     |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    |     \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
    \- io.mockk:mockk-dsl-jvm:jar:1.12.2:test
       +- io.mockk:mockk-dsl:jar:1.12.2:test
       |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.3.72:test - omitted for conflict with 1.6.10)

1.6.10
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    +- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    +- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
    +- org.jetbrains.kotlin:kotlin-stdlib-jdk7:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    \- org.jetbrains.kotlin:kotlin-stdlib-jdk8:jar:1.6.10:compile
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    +- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    +- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
    +- org.jetbrains.kotlin:kotlin-stdlib-jdk7:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    \- org.jetbrains.kotlin:kotlin-stdlib-jdk8:jar:1.6.10:compile
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    +- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    +- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
    +- org.jetbrains.kotlin:kotlin-stdlib-jdk7:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    \- org.jetbrains.kotlin:kotlin-stdlib-jdk8:jar:1.6.10:compile
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    +- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    +- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
    +- org.jetbrains.kotlin:kotlin-stdlib-jdk7:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    \- org.jetbrains.kotlin:kotlin-stdlib-jdk8:jar:1.6.10:compile
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    +- org.jetbrains.kotlin:kotlin-reflect:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    +- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
    +- org.jetbrains.kotlin:kotlin-stdlib-jdk7:jar:1.6.10:compile
    |  \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)
    \- org.jetbrains.kotlin:kotlin-stdlib-jdk8:jar:1.6.10:compile
       \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile - omitted for duplicate)

org.jetbrains:annotations

[Error]
13.0
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
       \- (org.jetbrains:annotations:jar:13.0:compile - omitted for conflict with 22.0.0)

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
       \- (org.jetbrains:annotations:jar:13.0:compile - omitted for conflict with 22.0.0)

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
       \- (org.jetbrains:annotations:jar:13.0:compile - omitted for conflict with 22.0.0)

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
       \- (org.jetbrains:annotations:jar:13.0:compile - omitted for conflict with 22.0.0)

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.6.10:compile
       \- (org.jetbrains:annotations:jar:13.0:compile - omitted for conflict with 22.0.0)

22.0.0
  1. pl.wrzasq.parent:parent-generic:pom:2.0.18
    \- org.jetbrains:annotations:jar:22.0.0:compile

  2. pl.wrzasq.parent:parent-internal:pom:2.0.18
    \- org.jetbrains:annotations:jar:22.0.0:compile

  3. pl.wrzasq.parent:parent-lambda:jar:2.0.18
    \- org.jetbrains:annotations:jar:22.0.0:compile

  4. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.jetbrains:annotations:jar:22.0.0:compile

  5. pl.wrzasq.parent:parent-opensource:pom:2.0.18
    \- org.jetbrains:annotations:jar:22.0.0:compile

org.slf4j:slf4j-api

[Error]
1.7.30
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.apache.maven.resolver:maven-resolver-impl:jar:1.6.3:compile
          \- (org.slf4j:slf4j-api:jar:1.7.30:compile - omitted for conflict with 1.7.32)

1.7.32
  1. pl.wrzasq.parent:parent-nativelambda-plugin:maven-plugin:2.0.18
    \- org.apache.maven:maven-core:jar:3.8.4:compile
       \- org.slf4j:slf4j-api:jar:1.7.32:compile